Bug 1279049 - fedora-release package should protect itself from being removed by dnf
fedora-release package should protect itself from being removed by dnf
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 08:28 EST by Sam Varshavchik
Modified: 2016-11-28 08:40 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-28 08:40:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2015-11-07 08:28:20 EST
Description of problem:

Each fedora-release should should list itself in /etc/dnf/protected.d

Version-Release number of selected component (if applicable):

23

How reproducible:

always

Steps to Reproduce:
1. Install the Fedora server product
2. dnf remove cockpit

Actual results:

dnf wants to remove the fedora-release-server package

Expected results:

The fedora-release-server package should not be removed

Additional info:
Comment 1 Kevin Fenzi 2015-11-08 14:10:11 EST
I could see adding fedora-release, but I am against adding the server/cloud/workstation ones. 

Otherwise how can someone switch between products?
Comment 2 Sam Varshavchik 2015-11-08 17:51:38 EST
It looks to me like every fedora-release-<product> package has a:

provides: system-release-product

So, if the base fedora-release package has a

requires: fedora-release-product

then this, looks to me, would work, provided that a separate fedora-release-nonproduct subpackage gets created, with the corresponding provides: moved from fedora-release to fedora-release-nonproduct

But digging into the actual reason why dnf wanted to remove fedora-release-server, it actually turns out it's because fedora-release-server has, for some reason, an explicit requires: cockpit. I don't think it's necessary, the server product should be able to run fine without needing cockpit's functionality.
Comment 3 Peter Robinson 2015-11-09 05:17:03 EST
We should probably protect system-release and fedora-repos. The former then covers generic-release when used there too.
Comment 4 Peter Robinson 2015-11-09 05:18:53 EST
> But digging into the actual reason why dnf wanted to remove
> fedora-release-server, it actually turns out it's because
> fedora-release-server has, for some reason, an explicit requires: cockpit. I
> don't think it's necessary, the server product should be able to run fine
> without needing cockpit's functionality.

sgallagh: can you comment on the cockpit side of things? I tend to agree that there's server usecases where users wouldn't want/need cockpit.
Comment 5 Stephen Gallagher 2015-11-09 08:49:29 EST
There's an explicit requirement on Cockpit because it's part of API guarantee of the Server Edition.

We decided early on that Fedora Server is *not* the same thing as a minimal useful install. There are specific additions (Cockpit, rolekit, originally OpenLMI, etc.) that we require to be present in order to actually be called Fedora Server. In order to represent that, we implemented some of those requirements directly into fedora-release-server. If you attempt to remove those packages, we treat it as reverting to a build-your-own-Fedora setup and therefore remove the fedora-release-server package. (This is useful for analytics as well, since removing that package will be visible in ABRT-reported bugs, helping us to track which Editions are actually in use).

To the original query: I agree that the 'fedora-release' and 'fedora-repos' base packages should be added to the protected list in DNF, though. (Though I don't think it *really* matters, since removing either of those would attempt to remove 'dnf', which is itself protected).
Comment 6 Fedora End Of Life 2016-11-24 08:10:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.